Bug 40426 - Sort wrongly remembers "Range contains column labels"
Summary: Sort wrongly remembers "Range contains column labels"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:3.6.0 target:3.5.2
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-27 16:03 UTC by Matt
Modified: 2015-07-02 11:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple spreadsheet previously sorted on the range A3:C7 (9.02 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-08-27 16:03 UTC, Matt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2011-08-27 16:03:28 UTC
Created attachment 50623 [details]
Simple spreadsheet previously sorted on the range A3:C7

When a file is reopened and the previous Sort range is reselected, Calc erroneously ticks the Options box "Range contains column labels".

Steps to reproduce:

1) Create a spreadsheet containing columns of data with or without column labels
2) Select a range not including column labels
3) Use Data | Sort to sort the range
4) Save and close the file
5) Reopen the file
6) Select the same range as in step 2
7) Open the Data | Sort dialog again

Actual Results:
LibO correctly remembers the columns chosen to sort by, but incorrectly ticks the option "Range contains column labels", requiring the user to go to the Options tab to reset it.

Notes:
1) The error does not occur when a new range is selected for sorting. It only occurs if the previously selected range is reselected after saving, closing and reopening the file.
2) This bug did not exist prior to LibO 3.4

Build: LibreOffice 3.4.1 OOO340m1 (Build:103)
System: Windows 7 64-bit

The attached file illustrates the bug. The file has previously been sorted by selecting the whole data range A3:C7 and sorted by column C. If this range is selected again, LibO correctly remembers it was sorted by column C but incorrectly assumes it contains column labels. If any other range is selected, LibO correctly assumes it does not contain column labels.

The bug is independent of the range selected and column(s) sorted by if the above steps are followed from step 2 onwards.
Comment 1 Matt 2011-10-31 13:08:08 UTC
This report of a regression in LibO 3.4 from 3.3 seems to have missed the triage process. It should be quite simple to fix.
Comment 2 Björn Michaelsen 2011-12-23 12:39:47 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 Urmas 2012-02-28 22:23:05 UTC
It's rather annoying and still in 3.5.
Comment 4 Markus Mohrhard 2012-03-18 08:31:35 UTC
I'll take a look at it.
Comment 5 Markus Mohrhard 2012-03-18 09:46:13 UTC
Fixed.
Comment 6 Not Assigned 2012-03-18 10:42:20 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed88b144ce24b9a733d4a9ab6614307c96537baa

add all imported properties to ScDBData, fdo#40426
Comment 7 Not Assigned 2012-03-18 11:24:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d58421c2cc5199e9892627b894eaab64265c82e7

add test case for fdo#40426
Comment 8 Not Assigned 2012-03-19 00:06:31 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0d2fd2096e267a29c5b8a07b0349e699e13ded5&g=libreoffice-3-5

add all imported properties to ScDBData, fdo#40426


It will be available in LibreOffice 3.5.2.